/*
 * lib61850.c
 *
 *  Created on: 2019-11-15
 *      Author: sunxi
 *      主要是新的ko程序要兼容之前老的内核而定义的函数
 */
#ifndef CPU_FUXI

#ifdef __IEC61850_GOOSE_FUNC__ // sunxi 20191015 goose功能在没有需求的情况下，启动不编译进模块里面。即goose功能的启动作为独立的模块
#else
#include "ai_plfp.h"
#include "ai_goose.h"
#include "ai_envir.h"
#include "ai_serv.h"
#include "ai_time.h"
#include "linux/time.h"
#include "ai_ver.h"
#include "as_updat.h"
#include "ai_clnp.h"


ST_VOID ai_plfp_set_drive_callback(AI_PLFP_DRIVE_CALLBACK_FUN *pt_callback)
{
}

ST_RET ai_uninit_environment(void)
{
	return 0;
}


ST_RET ai_envir_setWorkPath(ST_CHAR *sz_path,ST_INT32 strlen)
{
	return 0;
}

ST_VOID ai_plfp_uninit(ST_VOID)
{
}

ST_RET ai_goose_getGooseCfgInfo(ST_CHAR *sz_gocbRef,  ST_INT i_gseType, GSE_CFG_INFO *p_gseCfgInfo)
{
	return 0;
}

ST_VOID  ai_iec61850_handle(ST_UINT32 func_mask)
{
}

ST_VOID ai_time_set_syncSts(ST_INT32 stsVal)
{
}

ST_INT ai_goose_getGoNum(ST_INT i_gseType)
{
	return 0;
}


ST_UINT ai_plfp_getPlfpNum(ST_VOID)
{
	return 0;
}

ST_RET  as_updat_initObjsMem(ST_INT32 l_num)
{
	return 0;
}

ST_VOID  ai_ver_set_dev_identify(ST_CHAR *devtype,ST_CHAR *ver)
{
}

ST_RET  as_updat_objInit(AI_OBJ_VAL *pt_objVal)
{
	return 0;
}

ST_VOID ai_goose_handle(ST_UINT32 i_fnuMask, ST_INT32 i_us)
{
}

ST_UINT ai_plfp_getPlfpList(AI_PLFP_AP_INFO *plfpApInfo, ST_UINT i_maxApInfo)
{
	return 0;
}

ST_VOID ai_plfp_set_app_callback(AI_PLFP_APP_CALLBACK_FUN *pt_callback)
{
}

ST_RET ai_plfp_init (PLFP_INIT_PARAM *plfp_parm)
{
	return 0;
}

ST_RET ai_clnp_receive_main (ST_VOID *p_handle, SD_CONST ST_UCHAR *p_buf, ST_INT32 i_len)
{
	return 0;
}

ST_RET ai_init_environment(ENVIRINIT_STRUC *st_initPara)
{
	return 0;
}

ST_INT ai_goose_getGocbRefList(ST_CHAR *sz_gocbRefList, ST_INT i_gseType, ST_INT i_maxgo)
{
	return 0;
}

ST_VOID ai_serv_set_callback(AI_CALLBACK_FUN *pt_callback)
{
}

ST_RET ai_goose_gsePub(GOOSE_DATA *pt_goosePub)
{
	return 0;
}

ST_RET ai_time_gentime_to_usrtime(time_t *gentimeIn,USRTIME_STRUC *pt_usrtimeOut)
{
	return 0;
}

ST_RET ai_envir_set_chkmod(ST_INT32 chkmod)
{
	return 0;
}

AI_SADDR_TABLE *ai_envir_get_sAddrTbl(AI_SADDR_TABLE **sAddr_tbl_out)
{
	return NULL;
}

ST_CHAR*  ai_ver_61850libVersion(ST_VOID)
{
	return NULL;
}
#endif // __IEC61850_GOOSE_FUNC__

#endif

